## class SG_EXPORT osg::Point

> Point - encapsulates the OpenGL point smoothing and size state

## Inheritance:

### Public Methods

Point()
Point(const Point& point, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_StateAttribute(osg, Point, POINT)
virtual int compare(const StateAttribute& sa) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
virtual void getAssociatedModes(std::vector<GLMode>& modes) const
void setSize(float size)
inline float getSize() const
void setFadeThresholdSize(float fadeThresholdSize)
inline float getFadeThresholdSize() const
void setDistanceAttenuation(const Vec3& distanceAttenuation)
inline const Vec3& getDistanceAttenuation() const
void setMinSize(float minSize)
inline float getMinSize() const
void setMaxSize(float maxSize)
inline float getMaxSize() const
virtual void apply(State& state) const
static void init_GL_EXT()

### Protected Fields

float _size
float _fadeThresholdSize
Vec3 _distanceAttenuation
float _minSize
float _maxSize

### Protected Methods

virtual ~Point()

### Inherited from StateAttribute:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Type getType() const
virtual bool isTextureAttribute() const
bool operator < (const StateAttribute& rhs) const
bool operator == (const StateAttribute& rhs) const
bool operator != (const StateAttribute& rhs) const
virtual void compile(State&) const

### Public Members

typedef GLenum GLMode
typedef unsigned int GLModeValue
typedef unsigned int OverrideValue
enum Values
typedef unsigned int Type
enum Types

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Point - encapsulates the OpenGL point smoothing and size state

`Point()`

`Point(const Point& point, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_StateAttribute(osg, Point, POINT)`

`virtual int compare(const StateAttribute& sa) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`virtual void getAssociatedModes(std::vector<GLMode>& modes) const`

`void setSize(float size)`

`inline float getSize() const`

`void setFadeThresholdSize(float fadeThresholdSize)`

`inline float getFadeThresholdSize() const`

`void setDistanceAttenuation(const Vec3& distanceAttenuation)`

`inline const Vec3& getDistanceAttenuation() const`

`void setMinSize(float minSize)`

`inline float getMinSize() const`

`void setMaxSize(float maxSize)`

`inline float getMaxSize() const`

`virtual void apply(State& state) const`

`static void init_GL_EXT()`

`virtual ~Point()`

`float _size`

`float _fadeThresholdSize`

`Vec3 _distanceAttenuation`

`float _minSize`

`float _maxSize`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.